Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Annonces
Bonjour Invité Bienvenue sur le forum biblio3d - le forum a été créé le Sam 19 Jan 2008 - 14:26- Nous avons enregistrés 14744 topics pour un total de : 174931 posts - le record de membres connectés simultanément :555
Galerie


 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Empty
Ton bloc notes
Derniers sujets
» [ SKETCHUP objets ] tiroir cuisine
par vick Sam 18 Mai 2024 - 16:48

» [ AUTRES LOGICIELS ] LOGICIEL OFFERT
par jerryvento Ven 17 Mai 2024 - 8:36

» [ LUMION ] 2024 - Importation FBX
par Shakna Jeu 16 Mai 2024 - 10:00

» [ SKETCHUP tutos ] dessiner un dodécaèdre sans plugins
par tenrev Mer 15 Mai 2024 - 14:22

» [ SKETCHUP plugins ] Plugin SOLID INSPECTOR - Nested Instances - Demande de clarification
par tenrev Mer 15 Mai 2024 - 14:13

» [ LUMION ] 2024 - Importation FBX
par Shakna Mer 15 Mai 2024 - 12:16

» [ LUMION ] Lumion 2024
par Shakna Mer 15 Mai 2024 - 11:21

» [ TWINMOTION ] Appliquer un decal avec les outils spacing et area de Twinmotion 2024
par Gaspard Hauser Mar 14 Mai 2024 - 23:12

» [ TWINMOTION ] Nouvelle verion 2024
par Gaspard Hauser Mer 8 Mai 2024 - 10:27

» [ CHAINE TWITCH ] Pas simple de se faire un public
par tenrev Mar 7 Mai 2024 - 19:46

» [ INTELLIGENCE ARTIFICIELLE ] quelques video IA
par tenrev Mar 7 Mai 2024 - 9:47

» [ CHAINE TWITCH ] les replay de mes live sur Twitch
par tenrev Mar 7 Mai 2024 - 9:22

» [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé
par JDD Lun 6 Mai 2024 - 15:19

» [ ARCHICAD ] Création de lucarne en 3D
par VertiKal Lun 6 Mai 2024 - 14:17

» [ SKETCHUP composants dynamiques ]
par simjoubert Lun 6 Mai 2024 - 10:39

» [ SKETCHUP plugins ]
par TIQUETM Dim 5 Mai 2024 - 19:39

» [ ARCHICAD ] raccourci clavier
par Taz Jeu 2 Mai 2024 - 16:04

» [ SKETCHUP Layout ] Layout 2024 probléme de Style
par tenrev Jeu 2 Mai 2024 - 11:58

» [ MATOS INFORM. ] LICENCES ARCHICAD
par yannickniort Mar 30 Avr 2024 - 8:29

» [ SKETCHUP plugins ] Universal Importer
par Samuel Tallet Lun 29 Avr 2024 - 19:18

» [ CHAINE TWITCH ] c'est reparti - pour quelques live
par tenrev Lun 29 Avr 2024 - 14:49

» [ SKETCHUP objets ]
par vick Mar 23 Avr 2024 - 20:52

» [ SKETCHUP vray ]
par furax49 Mar 23 Avr 2024 - 19:52

» [ ARTLANTIS ] Ca donne envie !
par loic46 Dim 21 Avr 2024 - 22:56

» [ SKETCHUP généralité ] sortie officielle de sketchup 2024
par tenrev Ven 19 Avr 2024 - 14:24

» [ ARTLANTIS ] Problème origine se déplace
par loic46 Jeu 18 Avr 2024 - 22:28

» [ SKETCHUP plugins ] Vms_up
par Rascal Jeu 18 Avr 2024 - 14:41

» [ SKETCHUP objets ] aquarium
par JDD Lun 15 Avr 2024 - 22:20

» [ ARCHICAD ] Zone - Menu déroulant
par Christophe Fortineau Jeu 11 Avr 2024 - 19:49

» [ SKETCHUP généralité ] Servimg Premium pour tous les membres
par tenrev Jeu 11 Avr 2024 - 14:31

» [ SKETCHUP plugins ] Move it
par TF3 Mer 10 Avr 2024 - 10:23

» [ SKETCHUP plugins ] curic 2D export
par tenrev Mar 9 Avr 2024 - 17:41

» [ SKETCHUP plugins ] profil builder 4 est disponible
par furax49 Mar 9 Avr 2024 - 17:00

» [ ARCHICAD ] Torsion sur poteaux
par Ti Pack Mar 9 Avr 2024 - 14:59

» [ PRESENTATION ]
par tenrev Lun 8 Avr 2024 - 8:22

Sondage

Chaine Twitch

 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c1029% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 29% [ 11 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c1011% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 11% [ 4 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c103% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 3% [ 1 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c108% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 8% [ 3 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c108% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 8% [ 3 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c108% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 8% [ 3 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c1029% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 29% [ 11 ]
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c105% [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Poll_c10 5% [ 2 ]

Total des votes : 38

chaine sketchup.tv
Serveur Discord
Le deal à ne pas rater :
Display Star Wars Unlimited Ombres de la Galaxie : où l’acheter ?
Voir le deal

[ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé

Voir le sujet précédent Voir le sujet suivant Aller en bas

JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Jeu 2 Mai 2024 - 12:07

Bonjour,

Existe-t-il un plugin ou connaissez vous une méthode permettant de réaliser une sorte de "Suivez moi" ou "Loft" le long d'un tracé depuis une forme de départ vers une forme d'arrivée différente de la forme de départ, avec interpolation progressive entre les deux ?

C'est une question que 'on m'a posé et à laquelle je ne sais pas répondre.

Je peux réaliser cela dans AutoCAD, dans Blender et dans Rhinoceros, mais pas dans SketchUp

Si quelqu'un dispose de la solution, je suis preneur.

JDD
simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Jeu 2 Mai 2024 - 19:44

Hello JDD
il y a le plugin de Fredo Curviloft
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé SketchUp_eFobCXKSvS
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé IPB_917
simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Jeu 2 Mai 2024 - 19:57

Et tu peux interagir sur l'interpolation
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé SketchUp_dfpRQ30ZJg

C'est un incontournable !
JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Jeu 2 Mai 2024 - 21:12

Hello  @simjoubert

Oui, pour réaliser ce que tu montres, pas de soucis, et je connais bien Curviloft.

Comme évoqué dans le titre de mon post, je cherche la solution non pas pour une extrapolation le long d'un segment de droite mais le long d'un tracé ( une courbe)
Exemple une courbe de bézier un peu complexe en x,y,z,  et comme section de début une forme d'une étoile à 6 branches par exemple et en extrémité une ellipse. et si possible avoir au milieu du tracé une troisième autre forme comme par exemple un profil en H qui rentre dans cette extrapolation.

Sauf erreur de ma part l'incontournable CURVILOFT de Fredo6 ne peut pas réaliser cela.

Edit : Autant pour moi, entre 2 sections quelqconques et un tracé de courbeà suivre, Curviloft avec sa fonction "loft along path" fait le job.
Je n'avais jamais perçu cette possibilité.

JDD
simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Jeu 2 Mai 2024 - 21:44

Hello JDD tu peux mais il y aura un peu de travail pour interpoler les points correctement.
 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé SketchUp_1TfgJGZb28

jerryvento aime ce message

JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Jeu 2 Mai 2024 - 21:51

Merci  @simjoubert

Mon exemple était un peu farfelu mais devrait être aménageable avec Curviloft. ( il faut veiller, je pense à ce que chaque section possède le même nombre de segments sur le contour)

La demande que l'on m'a formulé est beaucoup plus simple et cela fonctionne.

 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Fredo610

Curviloftement

JDD

jerryvento et simjoubert aiment ce message

simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Ven 3 Mai 2024 - 7:20

Hello @Jdd 
Avoir le même nombre de sommets est plus facile mais pas obligatoire !
Il faudrait surtout que les sommets s’enchaînent dans le meme sens horaire ou anti horaire pour éviter les croisements.
JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Ven 3 Mai 2024 - 8:56

Bonjour,

@simjoubert , oui je pense que ces 2 conditions favorisent grandement le résultat final du lissage généré par le plugin.

A propos de cette dernière condition, "Avoir les sommets s’enchaînant dans le même sens horaire ou anti horaire"  comment faut il pratiquer dans sketchUp pour inverser le sens des sommets sur un contour (cercle, rectangle, hexagone ou polygone quelconque) ?

Aurais tu quelques lignes de code en mémoire permettant de réaliser cela rapidement et simplement ?

Comment SketchUp identifie le sens d'orientation des vertices ?

En théorie on peut se rapporter à cet article ICI

JDD
simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Lun 6 Mai 2024 - 11:16

Hello  @JDD

Voici un petit code pour retourner les courbes
Tu as la possibilité d'ajouter les numéros d'index des vertices de la courbe

Code:
# CODE REVERSE CURVE ORDERING VERTICES
# AUTHOR Simon Joubert
# Date 06/05/2024
# version 1.0
# Reverse the selected curve, add the index of each vertices (old in red and new in blue)
# reverseSelectCurve(reverse_b = true, mark_old_ordering = false, mark_new_ordering = false )
# To only mark the actual ordering reverseSelectCurve(false, true, false)
# To reverse without the mark index reverseSelectCurve(true, false, false) or reverseSelectCurve()
# To reverse and mark only the new index not the old reverseSelectCurve(true, false, true)

# You can undo the operation "Reverse select curve"


def reverseSelectCurve(reverse_b = true, mark_old_ordering = false, mark_new_ordering = false )
  mod = Sketchup.active_model # Open model
  mod.start_operation('Reverse select curve', true)
  sel = mod.selection # Current selection
  
  #Gestion des erreurs
  UI.messagebox("Selection empty !", MB_OK) if sel.size == 0
  return if sel.size == 0
  edges = sel.grep(Sketchup::Edge)
  UI.messagebox("No edges founded in selection !", MB_OK) if edges.size == 0
  return if edges.size == 0
  curve = edges.first.curve
  UI.messagebox("No curve founded in selection !", MB_OK) if curve == nil
  return  if curve == nil
  
  
  vertices = curve.vertices
  old_positions = vertices.map { |v| v.position}
  new_positions = old_positions.reverse
  
  active_path = mod.active_path
  if active_path == nil
    ent = mod.entities # All entities in model
  else
    if active_path[-1].is_a?Sketchup::Group
      ent = active_path[-1].entities
    else
      ent = active_path[-1].definition.entities
    end
  end
  

  
  if reverse_b
  # invertion de l'ordre des vertices
    curve.move_vertices(new_positions)
    if mark_new_ordering
      v_new = Geom::Vector3d.new(0, 0, 10)
      new_positions.each_with_index do |p,i|
        if i < (new_positions.size-1)
          text = ent.add_text(i.to_s, p, v_new)
          text.material = "Blue"
        end
      end
    end
  end
  
  if mark_old_ordering
    v_old = Geom::Vector3d.new(0, 0, -10)
    old_positions.each_with_index do |p,i|
      if i < (old_positions.size-1)
        text = ent.add_text(i.to_s, p, v_old)
        text.material = "Red"
      end
    end
  end
  sel.clear
  sel.add(curve.edges)
  mod.commit_operation  
  return curve
end

# Reverse the selected curve and mark the new and the old index
reverse_curve = reverseSelectCurve(true,true,true)

L'API ne propose pas de retourner un courbe seulement de bouger ses points.
L'astuce réside à récupérer la position actuelle des points, d'inversé ce tableau de coordonnées.
Et de déplacer les points sur ces nouvelles coordonnées

Le seul souci c'est si la courbe est reliée à d'autre segments les extrémités de ces segments liés vont suivre.

Mais Fredo à réussie à contourner ce problème :

Sinon de manière plus simple mais sans visualisation de l'ordre existant et nouveau :
Tu sélectionne ta courbe clic droit > Fredo tools > inverser la courbe.

 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé IPB_917

JDD aime ce message

JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Lun 6 Mai 2024 - 11:38

Hello  @simjoubert

Je n'avais pas tilter sur cette fonction disponible dans FredoTools

Merci. Sinon comment utiliser correctement ton code ?

Edit : Oui cela fonctionne

J'avais tracé une courbe et l'avait ensuite sélectionné
Dans la console Ryby de SU j'ai copier et collé ton bout de code , mais rien de visible à l'écran

Je viens de constater qu'en dézoomant ma vue  je peux visualiser en rouge et en bleu les numérotations. Si je zooom de nouveau les indications disparaissent ( pb de Clipping ??)

Voir copies écran ci-après

1 - sans dézoomer ou en zoomant

 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Invers10

2 - en dézoomant

 [ SKETCHUP généralité ] Interpolation progressive entre deux formes le long d'un tracé Invers11






JDD
simjoubert
simjoubert
Administrateurs
Administrateurs
Masculin Humeur : Des racines et des rêves !!!
Date d'inscription : 05/08/2012
Nombre de messages : 2835
Points : 6294
Age : 49
Localisation : Val de Marne
Emploi : Paysagiste
https://www.sketchup.simjoubert.com/

Messagesimjoubert Lun 6 Mai 2024 - 15:16

Hello jdd tu peux augmenter la taille du vecteur  du texte passe le de (0,0,10 ) a (0,0,50) et ( 0,0,-50) pour l’ancien index

JDD aime ce message

JDD
JDD
V.I.P.
V.I.P.
Masculin Humeur : Cool, œil de lynx à pattes de velours
Date d'inscription : 21/05/2021
Nombre de messages : 993
Points : 2313
Age : 75
Localisation : Nord (59)
Emploi : Director of Myself

MessageJDD Lun 6 Mai 2024 - 15:19

Merci pour l'info @simjoubert

Je corrige et je teste

JDD
Contenu sponsorisé

MessageContenu sponsorisé

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum